LAMP upgrade to mysql 5.6 PHP installation appears to be missing the MySQL extension which is required by WordPress

WordPress Running on Debian 7 LAMP

After upgrading to MYSQL 5.6 from 5.5 I encountered several problems, first of which was a completely broken MySQL then Apache2.3 and PHP complained. This ultimately cleaned up the mess:

sudo dpkg –purge mysql-client-core-5.6
sudo dpkg –purge mysql-client
sudo dpkg –purge mysql-server-core-5.6
sudo dpkg –purge mysql-common
sudo dpkg –purge mysql
sudo apt-get –purge remove mysql-server
sudo apt-get –purge remove mysql-client
sudo apt-get –purge remove mysql-common
sudo apt-get autoremove
sudo apt-get autoclean
sudo rm -rf /etc/mysql
sudo rm -rf /var/lib/mysql/
sudo dpkg –configure -a
sudo apt-get update
sudo apt-get install mysql-server mysql-client mysql-common php5-mysql

You may also like...

Privacy Preference Center